package id.ac.unpas.ta.david.pojo;
// Generated Jul 15, 2019 5:45:00 PM by Hibernate Tools 5.2.8.Final

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * MasterDosen generated by hbm2java
 */
@Entity
@Table(name = "master_dosen", catalog = "ta")
public class MasterDosen implements java.io.Serializable {

	private String idDosen;
	private MasterFakultas masterFakultas;
	private String namaDosen;
	private String tempatLahir;
	private Date tanggalLahir;
	private String jenisKelamin;
	private String inisial;
	private int aktif;
	private String homeBase;
	private int avalaibleTa;

	public MasterDosen() {
	}

	public MasterDosen(String idDosen, MasterFakultas masterFakultas, String namaDosen, String jenisKelamin, int aktif,
			String homeBase, int avalaibleTa) {
		this.idDosen = idDosen;
		this.masterFakultas = masterFakultas;
		this.namaDosen = namaDosen;
		this.jenisKelamin = jenisKelamin;
		this.aktif = aktif;
		this.homeBase = homeBase;
		this.avalaibleTa = avalaibleTa;
	}

	public MasterDosen(String idDosen, MasterFakultas masterFakultas, String namaDosen, String tempatLahir,
			Date tanggalLahir, String jenisKelamin, String inisial, int aktif, String homeBase, int avalaibleTa) {
		this.idDosen = idDosen;
		this.masterFakultas = masterFakultas;
		this.namaDosen = namaDosen;
		this.tempatLahir = tempatLahir;
		this.tanggalLahir = tanggalLahir;
		this.jenisKelamin = jenisKelamin;
		this.inisial = inisial;
		this.aktif = aktif;
		this.homeBase = homeBase;
		this.avalaibleTa = avalaibleTa;
	}

	@Id

	@Column(name = "idDosen", unique = true, nullable = false, length = 9)
	public String getIdDosen() {
		return this.idDosen;
	}

	public void setIdDosen(String idDosen) {
		this.idDosen = idDosen;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idFakultas", nullable = false)
	public MasterFakultas getMasterFakultas() {
		return this.masterFakultas;
	}

	public void setMasterFakultas(MasterFakultas masterFakultas) {
		this.masterFakultas = masterFakultas;
	}

	@Column(name = "namaDosen", nullable = false, length = 50)
	public String getNamaDosen() {
		return this.namaDosen;
	}

	public void setNamaDosen(String namaDosen) {
		this.namaDosen = namaDosen;
	}

	@Column(name = "tempatLahir", length = 50)
	public String getTempatLahir() {
		return this.tempatLahir;
	}

	public void setTempatLahir(String tempatLahir) {
		this.tempatLahir = tempatLahir;
	}

	@Temporal(TemporalType.DATE)
	@Column(name = "tanggalLahir", length = 10)
	public Date getTanggalLahir() {
		return this.tanggalLahir;
	}

	public void setTanggalLahir(Date tanggalLahir) {
		this.tanggalLahir = tanggalLahir;
	}

	@Column(name = "jenisKelamin", nullable = false, length = 10)
	public String getJenisKelamin() {
		return this.jenisKelamin;
	}

	public void setJenisKelamin(String jenisKelamin) {
		this.jenisKelamin = jenisKelamin;
	}

	@Column(name = "inisial", length = 10)
	public String getInisial() {
		return this.inisial;
	}

	public void setInisial(String inisial) {
		this.inisial = inisial;
	}

	@Column(name = "aktif", nullable = false)
	public int getAktif() {
		return this.aktif;
	}

	public void setAktif(int aktif) {
		this.aktif = aktif;
	}

	@Column(name = "homeBase", nullable = false, length = 11)
	public String getHomeBase() {
		return this.homeBase;
	}

	public void setHomeBase(String homeBase) {
		this.homeBase = homeBase;
	}

	@Column(name = "avalaibleTA", nullable = false)
	public int getAvalaibleTa() {
		return this.avalaibleTa;
	}

	public void setAvalaibleTa(int avalaibleTa) {
		this.avalaibleTa = avalaibleTa;
	}

}
